Subject: [Idr] Éric Vyncke's No Objection on draft-ietf-idr-eag-distribution-16: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Mon, 10 May 2021 02:03:50 -0700

Éric Vyncke has entered the following ballot position for
draft-ietf-idr-eag-distribution-16: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-idr-eag-distribution/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the document.

Please find below some non-blocking comments.

Regards

-éric

-- Abstract --
I cannot parse/understand " attributes advertised used "

-- Section 2 --
"TLV MUST be considered malformed" but then what actions need to be taken ? Ignored (I guess) ?

---

From: John Scudder <[email-masked]>
Date: Mon, 10 May 2021 18:57:53 +0000

Hi Éric,

> "TLV MUST be considered malformed" but then what actions need to be taken ? Ignored (I guess) ?

I noticed it too. It turns out the underlying RFC 7752 §6.2.2 (“Fault Management”) clearly specifies what to do "If an implementation of BGP-LS detects a malformed attribute”.

$0.02,

—John

> On May 10, 2021, at 5:03 AM, Éric Vyncke via Datatracker <[email-masked]> wrote:
> 
> [External Email. Be cautious of content]
> 
> 
> Please refer to https://urldefense.com/v3/__https://www.ietf.org/iesg/statement/discuss-criteria.html__;!!NEt6yMaO-gk!UhKBxvdwgmCTULYWJMQgm6jUJdMeY-0kdr2kXLuGSGY3_42VDaoPi2UXtpHn_A$
> https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-idr-eag-distribution/__;!!NEt6yMaO-gk!UhKBxvdwgmCTULYWJMQgm6jUJdMeY-0kdr2kXLuGSGY3_42VDaoPi2XppExQXA$
> 
> 
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/idr__;!!NEt6yMaO-gk!UhKBxvdwgmCTULYWJMQgm6jUJdMeY-0kdr2kXLuGSGY3_42VDaoPi2UpMWZHbA$

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 10 May 2021 20:28:09 +0000

Thank you John

-----Original Message-----
From: John Scudder <[email-masked]>
Date: Monday, 10 May 2021 at 20:58
To: Eric Vyncke <[email-masked]>
Cc: The IESG <[email-masked]>, "[email-masked]" <[email-masked]>, "idr@ietf. org" <[email-masked]>, Hares Susan <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Idr] Éric Vyncke's No Objection on draft-ietf-idr-eag-distribution-16: (with COMMENT)

    Hi Éric,

    $0.02,

    —John

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 18 May 2021 22:18:36 -0500

Hi Eric,

Thanks for your review.
Please see inline

-- Abstract --
[jeff] - fixed

-- Section 2 --
"TLV MUST be considered malformed" but then what actions need to be taken ? Ignored (I guess) ?
[jeff] would you be OK with the further explanation in RFC 7752 §6.2.2 (“Fault Management”) and not in this document?

Thanks!

Cheers,
Jeff

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 19 May 2021 13:03:40 +0000

Jeff and John,

Thank for your clear explanations. Just a suggestion: add a pointer somewhere in the I-D to RFC 7752 ? Really up to you

Regards

-éric

From: Jeff Tantsura <[email-masked]>
Date: Wednesday, 19 May 2021 at 05:18
To: Eric Vyncke <[email-masked]>, John Scudder <[email-masked]>
Cc: The IESG <[email-masked]>, "[email-masked]" <[email-masked]>, "idr@ietf. org" <[email-masked]>, Hares Susan <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Idr] Éric Vyncke's No Objection on draft-ietf-idr-eag-distribution-16: (with COMMENT)

Hi Eric,

Thanks for your review.
Please see inline

-- Abstract --

-- Section 2 --

Thanks!

Cheers,
Jeff

Hi Éric,

Regarding this one:

-- Section 2 --

$0.02,

—John

Regards

-éric

-- Abstract --

-- Section 2 --